{
  config,
  pkgs,
  inputs,
  ...
}: {
  imports = [./waybar.nix ./tile.nix];

  wayland.windowManager.sway = {
    enable = true;
    config = {
      modifier = "Mod4";
      floating.border = 0;
      window.border = 1;
      window.titlebar = false;
      terminal = "${pkgs.alacritty}/bin/alacritty";
      menu = "${pkgs.wofi}/bin/wofi --show drun";
      bars = [];
      gaps = {
        inner = 10;
        outer = 5;
      };
    };
  };

  home.sessionVariables = {
    MOZ_ENABLE_WAYLAND = "1";
    MOZ_USE_XINPUT2 = "1";
    XDG_SESSION_TYPE = "wayland";
    SDL_VIDEODRIVER = "wayland";
    QT_QPA_PLATFORM = "wayland";
    QT_WAYLAND_DISABLE_WINDOWDECORATION = "1";
    _JAVA_AWT_WM_NONREPARENTING = 1;
  };
  services = {swayidle = {enable = true;};};
}
